import 'package:flutter/material.dart';
import 'package:verve/verve.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Verve Example',
      //Navy verveSwatch
      theme: verveSwatch(theme: VerveTheme.navy),
      home: Scaffold(
        appBar: AppBar(
          title: Text('Welcome to Verve!'),
        ),
        body: Center(
          child: Column(
            children: <Widget> [
              //Just some text.
              Text('This app is Verve-themed.'),
              //Rounded-flat button.
              verveButton(onPressed: null, child: Text('Click me!')),
              //Generator for String based ListView
              //Uses rounded verveCards.
              verveListView(
                  titles: [
                    'This is a list',
                    'It adds some hope'
                  ],
                  subtitles: [
                    'made of verveCards.',
                    'to boring ListView.builder.'
                  ]),
            ],
          ),
        ),
      ),
    );
  }
}